# Generated by Django 3.2.4 on 2021-06-28 16:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app_lmgas', '0008_auto_20210627_1645'),
    ]

    operations = [
        migrations.RenameField(
            model_name='pedido',
            old_name='cliente',
            new_name='rut',
        ),
        migrations.CreateModel(
            name='DetallePedido',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cantidad', models.IntegerField(default=1)),
                ('descuento', models.IntegerField(default=0, null=True)),
                ('total', models.IntegerField(default=0)),
                ('id_pedido', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app_lmgas.pedido')),
                ('id_producto', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='app_lmgas.producto')),
            ],
        ),
    ]
